<!DOCTYPE html>
<html lang="en-US">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>Airflow UI | Airflow Demo</title>
    <meta name="generator" content="VuePress 1.8.2">
    
    <meta name="description" content="">
    <meta name="theme-color" content="#3eaf7c">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    
    <link rel="preload" href="/eli-mayost/airflow-demo/assets/css/0.styles.1e1c57bb.css" as="style"><link rel="preload" href="/eli-mayost/airflow-demo/assets/js/app.bcd2a5f0.js" as="script"><link rel="preload" href="/eli-mayost/airflow-demo/assets/js/2.999a398a.js" as="script"><link rel="preload" href="/eli-mayost/airflow-demo/assets/js/10.77ee3b6c.js" as="script"><link rel="prefetch" href="/eli-mayost/airflow-demo/assets/js/11.622324bc.js"><link rel="prefetch" href="/eli-mayost/airflow-demo/assets/js/12.16da757f.js"><link rel="prefetch" href="/eli-mayost/airflow-demo/assets/js/13.ad8acfd5.js"><link rel="prefetch" href="/eli-mayost/airflow-demo/assets/js/14.adeff02a.js"><link rel="prefetch" href="/eli-mayost/airflow-demo/assets/js/3.a67f8530.js"><link rel="prefetch" href="/eli-mayost/airflow-demo/assets/js/4.9ba86d7c.js"><link rel="prefetch" href="/eli-mayost/airflow-demo/assets/js/5.7a522bf5.js"><link rel="prefetch" href="/eli-mayost/airflow-demo/assets/js/6.e4c8cbb1.js"><link rel="prefetch" href="/eli-mayost/airflow-demo/assets/js/7.22a5cd85.js"><link rel="prefetch" href="/eli-mayost/airflow-demo/assets/js/8.ac95b8b7.js"><link rel="prefetch" href="/eli-mayost/airflow-demo/assets/js/9.05e9df43.js">
    <link rel="stylesheet" href="/eli-mayost/airflow-demo/assets/css/0.styles.1e1c57bb.css">
  </head>
  <body>
    <div id="app" data-server-rendered="true"><div class="theme-container"><header class="navbar"><div class="sidebar-button"><svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" role="img" viewBox="0 0 448 512" class="icon"><path fill="currentColor" d="M436 124H12c-6.627 0-12-5.373-12-12V80c0-6.627 5.373-12 12-12h424c6.627 0 12 5.373 12 12v32c0 6.627-5.373 12-12 12zm0 160H12c-6.627 0-12-5.373-12-12v-32c0-6.627 5.373-12 12-12h424c6.627 0 12 5.373 12 12v32c0 6.627-5.373 12-12 12zm0 160H12c-6.627 0-12-5.373-12-12v-32c0-6.627 5.373-12 12-12h424c6.627 0 12 5.373 12 12v32c0 6.627-5.373 12-12 12z"></path></svg></div> <a href="/eli-mayost/airflow-demo/" class="home-link router-link-active"><!----> <span class="site-name">Airflow Demo</span></a> <div class="links"><div class="search-box"><input aria-label="Search" autocomplete="off" spellcheck="false" value=""> <!----></div> <!----></div></header> <div class="sidebar-mask"></div> <aside class="sidebar"><!---->  <ul class="sidebar-links"><li><a href="/eli-mayost/airflow-demo/what_it_is/" class="sidebar-link">What it is</a></li><li><a href="/eli-mayost/airflow-demo/overview/" class="sidebar-link">Overview</a></li><li><a href="/eli-mayost/airflow-demo/environment/" class="sidebar-link">Set up local environment</a></li><li><a href="/eli-mayost/airflow-demo/airflow_ui/" aria-current="page" class="active sidebar-link">Airflow UI</a><ul class="sidebar-sub-headers"><li class="sidebar-sub-header"><a href="/eli-mayost/airflow-demo/airflow_ui/#make-the-ui-accessible-locally" class="sidebar-link">Make the UI accessible locally</a></li><li class="sidebar-sub-header"><a href="/eli-mayost/airflow-demo/airflow_ui/#important-sections-of-the-ui" class="sidebar-link">Important sections of the UI</a></li></ul></li></ul> </aside> <main class="page"> <div class="theme-default-content content__default"><h1 id="airflow-ui"><a href="#airflow-ui" class="header-anchor">#</a> Airflow UI</h1> <h2 id="make-the-ui-accessible-locally"><a href="#make-the-ui-accessible-locally" class="header-anchor">#</a> Make the UI accessible locally</h2> <p>In order to access the UI, we have to forward the port of the webserver pod to our local machine.</p> <p>The is can be done with k9s or directly on the command line:</p> <div class="language-bash extra-class"><pre class="language-bash"><code>kubectl port-forward <span class="token punctuation">[</span>POD NAME HERE<span class="token punctuation">]</span> <span class="token number">8080</span>:8080 
</code></pre></div><p>Navigate to the <a href="http://localhost:8080" target="_blank" rel="noopener noreferrer">login page<span><svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" focusable="false" x="0px" y="0px" viewBox="0 0 100 100" width="15" height="15" class="icon outbound"><path fill="currentColor" d="M18.8,85.1h56l0,0c2.2,0,4-1.8,4-4v-32h-8v28h-48v-48h28v-8h-32l0,0c-2.2,0-4,1.8-4,4v56C14.8,83.3,16.6,85.1,18.8,85.1z"></path> <polygon fill="currentColor" points="45.7,48.7 51.3,54.3 77.2,28.5 77.2,37.2 85.2,37.2 85.2,14.9 62.8,14.9 62.8,22.9 71.5,22.9"></polygon></svg> <span class="sr-only">(opens new window)</span></span></a>.</p> <div class="custom-block danger"><p class="custom-block-title">WARNING</p> <p>If you look in the k8s/values.yaml file, you will notice that
the username and password are &quot;admin&quot;.
In production, it needs to be changed, and stored, preferably, in a secret.</p></div> <h2 id="important-sections-of-the-ui"><a href="#important-sections-of-the-ui" class="header-anchor">#</a> Important sections of the UI</h2> <p><br><br> <a href="../airflow_1.png" target="_blank" class="zoom"><img src="/eli-mayost/airflow-demo/airflow_1.png" alt="airflow_1"></a> <br><br></p> <hr> <p><br><br> <a href="../airflow_1.png" target="_blank" class="zoom"><img src="/eli-mayost/airflow-demo/airflow_1.png" alt="airflow_1"></a> <br><br></p></div> <footer class="page-edit"><!----> <!----></footer> <div class="page-nav"><p class="inner"><span class="prev">
      ←
      <a href="/eli-mayost/airflow-demo/environment/" class="prev">
        Set up local environment
      </a></span> <!----></p></div> </main></div><div class="global-ui"></div></div>
    <script src="/eli-mayost/airflow-demo/assets/js/app.bcd2a5f0.js" defer></script><script src="/eli-mayost/airflow-demo/assets/js/2.999a398a.js" defer></script><script src="/eli-mayost/airflow-demo/assets/js/10.77ee3b6c.js" defer></script>
  </body>
</html>
